[Launch]
ProgramExecutable=Caesium\Caesium.exe
WorkingDirectory=%PAL:AppDir%\Caesium
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueBackupDelete]
1=HKCU\Software\QtProject\OrganizationDefaults\Qt\filedialog

[RegistryCleanupIfEmpty]
1=HKCU\Software\QtProject\OrganizationDefaults\Qt
2=HKCU\Software\QtProject\OrganizationDefaults
3=HKCU\Software\QtProject
4=HKCU\Software\SaeraSoft

[FilesMove]
settings.ini=%PAL:AppDir%\Caesium
lst=%PAL:AppDir%\Caesium

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings.ini
Find=%PAL:LastPackagePartialDir%\
Replace=%PAL:PackagePartialDir%\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings.ini
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:LastPortableAppsBaseDir%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings.ini
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\lst
Find=%PAL:LastPackagePartialDir:Forwardslash%/
Replace=%PAL:PackagePartialDir:Forwardslash%/

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\lst
Find=%PAL:LastPortableAppsBaseDir:Forwardslash%/
Replace=%PAL:LastPortableAppsBaseDir:Forwardslash%/

[FileWrite6]
Type=Replace
File=%PAL:DataDir%\lst
Find=%PAL:LastDrive%/
Replace=%PAL:Drive%/

[FileWrite7]
Type=INI
File=%PAL:DataDir%\settings.ini
Section=Preferences
Key=startupupdt
Value=false

[FileWrite8]
Type=Replace
File=%PAL:DataDir%\lst
Find=@PLACEHOLDER_PICTURESFORWARDSLASH@
Replace=%PortableApps.comPictures:ForwardSlash%/
